---
sidebar_label: Metrics
---

# Metrics interface

**Signature:**

```typescript
export interface Metrics
```

## Properties

| Property                                                           | Modifiers | Type   | Description       |
| ------------------------------------------------------------------ | --------- | ------ | ----------------- |
| [Documents?](./puppeteer.metrics.documents.md)                     |           | number | <i>(Optional)</i> |
| [Frames?](./puppeteer.metrics.frames.md)                           |           | number | <i>(Optional)</i> |
| [JSEventListeners?](./puppeteer.metrics.jseventlisteners.md)       |           | number | <i>(Optional)</i> |
| [JSHeapTotalSize?](./puppeteer.metrics.jsheaptotalsize.md)         |           | number | <i>(Optional)</i> |
| [JSHeapUsedSize?](./puppeteer.metrics.jsheapusedsize.md)           |           | number | <i>(Optional)</i> |
| [LayoutCount?](./puppeteer.metrics.layoutcount.md)                 |           | number | <i>(Optional)</i> |
| [LayoutDuration?](./puppeteer.metrics.layoutduration.md)           |           | number | <i>(Optional)</i> |
| [Nodes?](./puppeteer.metrics.nodes.md)                             |           | number | <i>(Optional)</i> |
| [RecalcStyleCount?](./puppeteer.metrics.recalcstylecount.md)       |           | number | <i>(Optional)</i> |
| [RecalcStyleDuration?](./puppeteer.metrics.recalcstyleduration.md) |           | number | <i>(Optional)</i> |
| [ScriptDuration?](./puppeteer.metrics.scriptduration.md)           |           | number | <i>(Optional)</i> |
| [TaskDuration?](./puppeteer.metrics.taskduration.md)               |           | number | <i>(Optional)</i> |
| [Timestamp?](./puppeteer.metrics.timestamp.md)                     |           | number | <i>(Optional)</i> |
